package com.songhua.system.mapper;

import com.songhua.system.domain.CruiseShipMapping;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Mapper接口
 *
 * @author ruoyi
 * @date 2024-04-23
 */
public interface CruiseShipMappingMapper {
    /**
     * 查询
     */
    public CruiseShipMapping selectCruiseShipMappingById(String id);

    /**
     * 查询列表
     */
    public List<CruiseShipMapping> selectCruiseShipMappingList(CruiseShipMapping cruiseShipMapping);

    /**
     * 新增
     */
    public int insertCruiseShipMapping(CruiseShipMapping cruiseShipMapping);

    /**
     * 修改
     */
    public int updateCruiseShipMapping(CruiseShipMapping cruiseShipMapping);

    /**
     * 删除
     */
    public int deleteCruiseShipMappingById(String id);

    /**
     * 批量删除
     */
    public int deleteCruiseShipMappingByIds(String[] ids);

    List<CruiseShipMapping> getShipRouteData(Long did);

    int saveCruiseShipMapping(@Param("list") List list);

    void saveEquipmentHistoryLocation(@Param("list") List list);
}
